Bug 143384 - SAXException: [word/document.xml line 2] from LO 7.3
Summary: SAXException: [word/document.xml line 2] from LO 7.3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2021-07-15 12:33 UTC by Timur
Modified: 2021-09-08 09:49 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2021-07-15 12:33:57 UTC
Open MSO created DOCX attachment 154230 [details] (from bug 118488).
See SAXException: [word/document.xml line 2]: unknown error
File format error found at 
SAXParseException: '[word/document.xml line 2]: unknown error', Stream 'word/document.xml', Line 2, Column 68101(row,col).

No repro 7.2, seems regression in 7.3.
Comment 1 Timur 2021-07-15 12:42:52 UTC
commit 765aa56746519c919ee38244e6b60889dafd5cf5
Date:   Fri Jul 2 17:24:33 2021 +0200
    source sha:d656191ec308d4280b93c7169372e543a255d10
    previous sha:226f7e2ab96fce33a2705ad91ef0d539a6bad7b3

commit	d656191ec308d4280b93c7169372e543a255d108	[log]
author	Attila Szűcs <szucs.attila3@nisz.hu>	Fri Jun 25 10:37:47 2021 +0200
tdf#119952 DOCX import: fix negative page margins
Comment 2 Xisco Faulí 2021-07-15 13:10:28 UTC
Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c6695a4aabeaae99174b7658f2b813788ecff7f0
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 NISZ LibreOffice Team 2021-07-15 13:22:01 UTC
Yuck... this has some negative top/bottom margins in Word indeed.
There is no content at the top of the page. 
Adding a letter to the header in Word fixes the error.
Comment 4 Commit Notification 2021-08-25 11:45:55 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c1ad429d925855c1baacbdeca1ef42f4486eb9c2

tdf#143384 DOCX import: fix SAXException at header with table

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-09-06 21:55:50 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7ec91bcb7d248c38522375c31f2b6f640b1b84e2

tdf#143384 DOCX import: fix SAXException at header with table

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-09-08 09:49:49 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8151f3a1d99ab740d2affdccc7115faa156bf3ad
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded